# github-repo-size-cli

A simple CLI tool to fetch the size of a GitHub repository.

## Installation

You can install the tool using `pip`:

```bash
pip install github-repo-size-cli
```

## Setting up Your GitHub API Token

  

### Step 1: Obtain Your GitHub API Token

  

Before using the tool, you need to set your GitHub API token. Follow these steps to generate your GitHub token:

  

1. Go to GitHub and log in to your account.

2. Navigate to **Settings** > **Developer settings** > **Personal access tokens**.

3. Click **Generate new token**.

4. Provide a name for the token, select the required scopes (for repository access, at least `repo` is needed), and then click **Generate token**.

5. Copy the generated token. **Important**: You won't be able to see it again once you leave the page.

  

### Step 2: Set the GitHub API Token in the Tool

  

Once you have your token, you can set it globally using the tool. Run the following command:

```bash

grs  --set-token <your-github-api-token>

```

This will store your GitHub API token in a global file (`~/.github_token`), so you won't need to enter it again in the future.

## Usage

 

### Fetch Repository Size

  

To fetch the size of a repository, simply run:

```bash

grs  https://github.com/owner/repository.git

```

Replace `owner` and `repository` with the actual GitHub repository details. The tool will display the repository size in a human-readable format (KB, MB, or GB).

  

Example output:

```bash

Size  of  repository  owner/repo:  2.44  MB

```

### Clone the Repository (Optional)

  

After fetching the repository size, you will be asked if you'd like to clone the repository:

```bash

Do  you  want  to  clone  the  repository  'https://github.com/owner/repository.git'? (y/n):

```

Type `y` to clone the repository or `n` to skip cloning.

  

### Update Your Token (if needed)

  

If you need to update your GitHub API token (e.g., if it expires), run the following command:

```bash

grs  --update-token

```

You will be prompted to enter your new token.
## Contributing

Fork the [Github-Repo-Size-CLI ](https://github.com/pezhvak98/Github-Repo-Size-CLI) and submit pull requests for any improvements!
