from setuptools import setup, find_packages

# Read the contents of your README file for the long description
with open("README.md", "r", encoding="utf-8") as f:
    long_description = f.read()

setup(
    name="github-repo-size-cli", 
    version="0.2.5",  
    py_modules=["github_repo_size"],
    author="Pezhvak",  
    author_email="m.8562.m@gmail.com",  
    description="A CLI tool to fetch and display the size of GitHub repositories.",
    long_description=long_description, 
    long_description_content_type="text/markdown", 
    url="https://github.com/pezhvak98/Github-Repo-Size-CLI",
    packages=find_packages(),  
    license="MIT",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License", 
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",  # Minimum Python version required
    install_requires=[
        "requests>=2.20.0",  # Add any dependencies here
    ],
    entry_points={
        "console_scripts": [
            "grs=github_repo_size:main",  # Your CLI command that will run
        ],
    },
)
